Rapid7 Vulnerability & Exploit Database

Centos Linux: CVE-2019-14744: Important: kdelibs and kde-settings security and bug fix update (Multiple Advisories)

Back to Search

Centos Linux: CVE-2019-14744: Important: kdelibs and kde-settings security and bug fix update (Multiple Advisories)

Severity
5
CVSS
(AV:N/AC:H/Au:N/C:P/I:P/A:P)
Published
08/07/2019
Created
09/04/2019
Added
09/04/2019
Modified
06/01/2021

Description

In KDE Frameworks KConfig before 5.61.0, malicious desktop files and configuration files lead to code execution with minimal user interaction. This relates to libKF5ConfigCore.so, and the mishandling of .desktop and .directory files, as demonstrated by a shell command on an Icon line in a .desktop file.

Solution(s)

  • centos-upgrade-kde-settings
  • centos-upgrade-kde-settings-ksplash
  • centos-upgrade-kde-settings-minimal
  • centos-upgrade-kde-settings-plasma
  • centos-upgrade-kde-settings-pulseaudio
  • centos-upgrade-kdelibs
  • centos-upgrade-kdelibs-apidocs
  • centos-upgrade-kdelibs-common
  • centos-upgrade-kdelibs-debuginfo
  • centos-upgrade-kdelibs-devel
  • centos-upgrade-kdelibs-ktexteditor
  • centos-upgrade-qt-settings

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;